Comparing builds

Builds builder-web@2022-08-15 20:13:26Z on ubuntu-20.04 and builder-web@2022-01-14 15:45:33Z on ubuntu-20.04

Compare in reverse direction

Opam packages removed

ca-certs-nss.3.80
camlp-streams.5.0.1
checkseum.0.3.4
decompress.1.4.3
dream-httpaf.1.0.0~alpha1
dream-pure.1.0.0~alpha2
ipaddr-sexp.5.3.1
mirage-kv.4.0.1
multipart_form-lwt.0.4.1
optint.0.2.0
owee.0.6
solo5-elftool.0.3.1
tar.2.0.1
tls-mirage.0.15.3

New opam packages installed

biniou.1.2.1
easy-format.1.3.2
mirage-stack.4.0.0
mmap.1.1.0
uchar.0.0.2

Opam packages with version changes

base.v0.15.0->v0.14.2
bigarray-compat.1.1.0->1.0.0
bigarray-overlap.0.2.1->0.2.0
bigstringaf.0.9.0->0.8.0
builder.0.3.2~dev->0.3.1~dev
caqti.1.8.0->1.6.0
caqti-driver-sqlite3.1.8.0->1.6.0
caqti-lwt.1.8.0->1.6.0
cmdliner.1.1.1->1.0.4
conf-gmp.4->3
conf-libssl.4->3
cppo.1.6.9->1.6.8
cstruct.6.1.1->6.0.1
cstruct-lwt.6.1.1->6.0.1
cstruct-sexp.6.1.1->6.0.1
digestif.1.1.2->1.1.0
dns.6.3.0->5.0.1
dns-client.6.3.0->5.0.1
dream.1.0.0~alpha4->1.0.0~alpha2
dune.3.4.1->2.9.1
dune-configurator.3.4.1->2.9.1
eqaf.0.9->0.8
graphql.0.14.0->0.13.0
graphql-lwt.0.14.0->0.13.0
graphql_parser.0.14.0->0.13.0
happy-eyeballs.0.3.0->0.0.7
happy-eyeballs-lwt.0.3.0->0.0.7
hex.1.5.0->1.4.0
hpack.0.9.0->0.2.0
http-lwt-client.0.0.6->0.0.5
ipaddr.5.3.1->5.2.0
ke.0.6->0.4
lwt.5.6.1->5.5.0
lwt_ppx.2.1.0->2.0.3
macaddr.5.3.1->5.2.0
macaddr-cstruct.5.3.1->5.2.0
menhir.20220210->20211230
menhirLib.20220210->20211230
menhirSdk.20220210->20211230
metrics.0.4.0->0.3.0
metrics-influx.0.4.0->0.3.0
metrics-lwt.0.4.0->0.3.0
metrics-rusage.0.4.0->0.3.0
mirage-clock.4.2.0->4.0.0
mirage-crypto.0.10.6->0.10.5
mirage-crypto-ec.0.10.6->0.10.5
mirage-crypto-pk.0.10.6->0.10.5
mirage-crypto-rng.0.10.6->0.10.5
mtime.1.4.0->1.3.0
multipart_form.0.4.1->0.3.0
ocaml.4.14.0->4.13.1
ocaml-base-compiler.4.14.0->4.13.1
ocamlbuild.0.14.1->0.14.0
ocamlfind.1.9.5->1.9.1
opam-core.2.1.3->2.1.2
opam-file-format.2.1.4->2.1.3
opam-format.2.1.3->2.1.2
parsexp.v0.15.0->v0.14.2
ppx_cstruct.6.1.1->6.0.1
ppx_sexp_conv.v0.15.1->v0.14.3
ppxlib.0.27.0->0.24.0
prettym.0.0.3->0.0.2
ptime.1.0.0->0.8.6
re.1.10.4->1.10.3
sexplib.v0.15.1->v0.14.0
sexplib0.v0.15.1->v0.14.0
ssl.0.5.12->0.5.10
tcpip.7.1.2->7.0.1
tls.0.15.3->0.14.1
topkg.1.0.5->1.0.4
uuidm.0.9.8->0.9.7
uutf.1.0.3->1.0.2
x509.0.16.0->0.14.1
yojson.2.0.2->1.7.0

Opam packages with changes in their opam file

stringext.1.6.0 (and additional changes)


num.1.4

install instruction (without common prefix) modifications, old:
["ocamlfind" "remove" "num"]
["ocamlfind" "remove" "num-top"]
[make "install" {!ocaml:preinstalled} "findlib-install" {ocaml:preinstalled}]
new
[make "install" {!ocaml:preinstalled} "findlib-install" {ocaml:preinstalled}]

lru.0.3.0 (and additional changes)


h2.0.8.0 (and additional changes)


builder-web.0.2.0~dev (and additional changes)

URL
old: src: "git+https://git.robur.io/robur/builder-web.git#637afde8"
new: src: "git+https://git.robur.io/robur/builder-web.git#8489d1ff"

base64.3.5.0 (and additional changes)


Environment variables added

Environment variables removed

OPAMROOT /tmp
ORB_DATA 2

Environment variables changed

PKG_CONFIG_PATH /tmp/myswitch/lib/pkgconfig->/tmp/myswitch/build/_opam/lib/pkgconfig
PREFIX /tmp/myswitch->/tmp/myswitch/build/_opam
SWITCH_PATH myswitch->/tmp/myswitch/build

System packages added

libfile-fcntllock-perl 0.22-3build4
libglib2.0-data 2.64.6-1~ubuntu20.04.4
liblocale-gettext-perl 1.07-4
shared-mime-info 1.15-1
xdg-user-dirs 0.17-2ubuntu1

System packages removed

autoconf 2.69-11.1
automake 1:1.16.1-4ubuntu6
autopoint 0.19.8.1-10build1
autotools-dev 20180224.1
bsdmainutils 11.1.2ubuntu3
debhelper 12.10ubuntu1
dh-autoreconf 19
dh-exec 0.23.2
dh-strip-nondeterminism 1.7.0-1
dpkg-dev 1.19.7ubuntu3.2
dwz 0.13-5
file 1:5.38-4
gettext 0.19.8.1-10build1
gettext-base 0.19.8.1-10build1
groff-base 1.22.4-4build1
intltool-debian 0.35.0+20060710.5
libarchive-zip-perl 1.67-2
libbsd0 0.10.0-1
libcroco3 0.6.13-1
libdebhelper-perl 12.10ubuntu1
libelf1 0.176-1.1build1
libfile-stripnondeterminism-perl 1.7.0-1
libmagic-mgc 1:5.38-4
libmagic1 1:5.38-4
libpipeline1 1.5.2-2build1
libsigsegv2 2.12-2
libsub-override-perl 0.09-2
libtool 2.4.6-14
libuchardet0 0.0.6-3build1
m4 1.4.18-4
man-db 2.9.1-1
po-debconf 1.0.21

System packages changed

builder 0.3.1->0.3.0-5-g087108a
ca-certificates 20211016~20.04.1->20210119~20.04.2
cpp-9 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
g++-9 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
gcc-9 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
gcc-9-base 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
git 1:2.25.1-1ubuntu3.5->1:2.25.1-1ubuntu3.2
git-man 1:2.25.1-1ubuntu3.5->1:2.25.1-1ubuntu3.2
libasan5 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
libc-dev-bin 2.31-0ubuntu9.9->2.31-0ubuntu9.2
libc6 2.31-0ubuntu9.9->2.31-0ubuntu9.2
libc6-dev 2.31-0ubuntu9.9->2.31-0ubuntu9.2
libcurl3-gnutls 7.68.0-1ubuntu2.12->7.68.0-1ubuntu2.7
libdpkg-perl 1.19.7ubuntu3.2->1.19.7ubuntu3
libexpat1 2.2.9-1ubuntu0.4->2.2.9-1build1
libgcc-9-dev 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
libkeyutils1 1.6-6ubuntu1.1->1.6-6ubuntu1
libldap-2.4-2 2.4.49+dfsg-2ubuntu1.9->2.4.49+dfsg-2ubuntu1.8
libldap-common 2.4.49+dfsg-2ubuntu1.9->2.4.49+dfsg-2ubuntu1.8
libsasl2-2 2.1.27+dfsg-2ubuntu0.1->2.1.27+dfsg-2
libsasl2-modules-db 2.1.27+dfsg-2ubuntu0.1->2.1.27+dfsg-2
libsqlite3-0 3.31.1-4ubuntu0.3->3.31.1-4ubuntu0.2
libsqlite3-dev 3.31.1-4ubuntu0.3->3.31.1-4ubuntu0.2
libssl-dev 1.1.1f-1ubuntu2.16->1.1.1f-1ubuntu2.10
libssl1.1 1.1.1f-1ubuntu2.16->1.1.1f-1ubuntu2.10
libstdc++-9-dev 9.4.0-1ubuntu1~20.04.1->9.3.0-17ubuntu1~20.04
libxml2 2.9.10+dfsg-5ubuntu0.20.04.4->2.9.10+dfsg-5ubuntu0.20.04.1
linux-libc-dev 5.4.0-124.140->5.4.0-94.106
openssl 1.1.1f-1ubuntu2.16->1.1.1f-1ubuntu2.10
orb 0.0.2-4-ged60f97->0.0.1-a16d89b
tzdata 2022a-0ubuntu0.20.04->2021e-0ubuntu0.20.04
xz-utils 5.2.4-1ubuntu1.1->5.2.4-1ubuntu1